unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComObj, Spin, ExtDlgs, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ListBox1: TListBox;
    Label3: TLabel;
    Button4: TButton;
    Panel1: TPanel;
    Button5: TButton;
    ColorDialog1: TColorDialog;
    Label2: TLabel;
    SpinButton1: TSpinButton;
    Edit1: TEdit;
    Edit2: TEdit;
    SpinButton2: TSpinButton;
    Label1: TLabel;
    Label4: TLabel;
    ComboBox1: TComboBox;
    Button6: TButton;
    Button7: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure SpinButton1DownClick(Sender: TObject);
    procedure SpinButton1UpClick(Sender: TObject);
    procedure SpinButton2DownClick(Sender: TObject);
    procedure SpinButton2UpClick(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
var
  E:variant;
  LN:Variant;
{$R *.dfm}


procedure TForm1.Button1Click(Sender: TObject);
//  Excel   
begin
  E:=CreateOleObject('Excel.Application');
  E.Visible:=True;
end;

procedure TForm1.Button2Click(Sender: TObject);
//  
begin
  E.WorkBooks.Add;
end;


procedure TForm1.Button3Click(Sender: TObject);
// 
var
  left,top:Extended;
begin
  left:=10;
  top:=11;
  if E.ActiveWorkBook.ActiveSheet.Shapes.Count>0 then
  begin
   left:=E.ActiveWorkBook.ActiveSheet.Shapes.
      item(E.ActiveWorkBook.ActiveSheet.Shapes.count).Left+20;
   top:=E.ActiveWorkBook.ActiveSheet.Shapes.
      item(E.ActiveWorkBook.ActiveSheet.Shapes.count).Top+20;
  end;
  E.ActiveWorkBook.ActiveSheet.Shapes.AddLine(
     left, top, left+150, top+100);
end;

procedure TForm1.Button4Click(Sender: TObject);
//  
var
  a: Integer;
begin
  ListBox1.Items.Clear;
  for a:=1 to E.ActiveWorkBook.ActiveSheet.Shapes.Count do
    ListBox1.Items.Add(E.ActiveWorkBook.ActiveSheet.Shapes.Item(a).Name);
end;

procedure TForm1.ListBox1Click(Sender: TObject);
//     ListBoxl,   ,
//     Shapes      
//  LN.
begin
  LN:=E.ActiveWorkBook.ActiveSheet.Shapes.Item(
    ListBox1.Items.Strings[ListBox1.ItemIndex]);
end;


procedure TForm1.Button5Click(Sender: TObject);
//  
begin
  if ColorDialog1.Execute  then
     LN.Line.ForeColor.RGB:=ColorDialog1.Color;
end;

procedure TForm1.SpinButton1DownClick(Sender: TObject);
//  
begin
  LN.Line.Weight:=LN.Line.Weight-0.25;
  Edit1.Text:=FloatToStr(LN.Line.Weight);
end;

procedure TForm1.SpinButton1UpClick(Sender: TObject);
//  
begin
  LN.Line.Weight:=LN.Line.Weight+0.25;
  Edit1.Text:=FloatToStr(LN.Line.Weight);
end;

procedure TForm1.SpinButton2DownClick(Sender: TObject);
//  
begin
  if LN.Line.Transparency<1  then
  begin
     LN.Line.Transparency:=LN.Line.Transparency+0.01;
     Edit2.Text:=FloatToStr(LN.Line.Transparency);
  end;
end;

procedure TForm1.SpinButton2UpClick(Sender: TObject);
//  
begin
  if LN.Line.Transparency>0  then
  begin
     LN.Line.Transparency:=LN.Line.Transparency-0.01;
     Edit2.Text:=FloatToStr(LN.Line.Transparency);
  end;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
//     
begin
  LN.Line.Pattern:=ComboBox1.ItemIndex+1;
end;


procedure TForm1.Button6Click(Sender: TObject);
//  
begin
   if ColorDialog1.Execute then
      LN.Line.ForeColor.RGB:=ColorDialog1.Color;
end;

procedure TForm1.Button7Click(Sender: TObject);
//   
begin
   if ColorDialog1.Execute then
     LN.Line.BackColor.RGB:=ColorDialog1.Color;
end;

end.
